Summary:   SAGATOR - antivir/antispam gateway for smtp server
Name:      sagator-release
Version:   1.0.0
Release:   1%{?dist}
Source0:   http://www.salstar.sk/pub/antivir/sagator/scripts/sagator.repo
Source1:   http://www.salstar.sk/pub/antivir/sagator/SAGATOR-GPG-KEY
URL:       http://www.salstar.sk/sagator/
License:   GPLv2+
Group:     System Environment/Daemons
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:  sagator sagator-libclamav rrdtool-python
Requires:  clamav-data-empty clamav-update
Requires:  unrar unarj unace arc
Requires:  spamassassin perl-Razor-Agent pyzor

%description
This program is an email antivirus/antispam gateway. It is an interface to
the postfix, sendmail, or any other smtpd, which runs antivirus and/or
spamchecker. Its modular architecture can use any combination of
antivirus/spamchecker according to configuration.

It has some internal checkers (string_scanner and regexp_scanner). Sagator
can parse MIME mails and decompress archives, if it is configured so.

Features:
    * simple chroot support
    * modular antivirus/spamchecker support
    * you don't need any perl modules or any other modules, only python
    * you can return any quarantined mail to mailq/user mailbox
    * mailbox/maildir scanning and mailbox cleaning
    * nice statistics via WWW or MRTG
    * easy installation

%prep
#%setup -q

%install
mkdir -p %{buildroot}/etc/yum.repos.d %{buildroot}/etc/pki/rpm-gpg
cp -af %{SOURCE0} %{buildroot}/etc/yum.repos.d/
cp -af %{SOURCE1} %{buildroot}/etc/pki/rpm-gpg/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/yum.repos.d/sagator.repo
%{_sysconfdir}/pki/rpm-gpg/SAGATOR-GPG-KEY

%changelog
* Tue Jan 1 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk>
- initial release of repo package
